from argparse import ArgumentParser

argument_parser = ArgumentParser()

argument_parser.add_argument(
    "--evolution-engine", "-e", type=str, choices=["openai", "llama2"], default="llama2"
)
argument_parser.add_argument(
    "--evolution-algorithm", "-a", type=str, choices=["ga", "de"], default="ga"
)
argument_parser.add_argument("--model-path", "-m", type=str, required=True)
argument_parser.add_argument(
    "--task", "-t", type=str, required=True, choices=["sa", "qa"]
)
argument_parser.add_argument("--debug", "-d", action="store_true", default=None)
argument_parser.add_argument("--chat", "-c", action="store_true")
